package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户轮播图对象 mall_member_banner
 *
 * @author ruoyi
 * @date 2024-11-15
 */
public class MallMemberBanner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户轮播图主键ID */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long memberUserId;

    /** 图片名称 */
    @Excel(name = "图片名称")
    private String name;

    /** 前图图片 */
    @Excel(name = "前图图片")
    private String headUrl;

    /** 背景图图片 */
    @Excel(name = "背景图图片")
    private String backgroundUrl;

    /** 轮播状态：0-正常，1-隐藏 */
    @Excel(name = "轮播状态：0-正常，1-隐藏")
    private String status;

    /** 轮播类型:：0-不跳转 */
    @Excel(name = "轮播类型:：0-不跳转")
    private String type;

    /** 排序(正序) */
    @Excel(name = "排序(正序)")
    private Long sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMemberUserId(Long memberUserId)
    {
        this.memberUserId = memberUserId;
    }

    public Long getMemberUserId()
    {
        return memberUserId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setHeadUrl(String headUrl)
    {
        this.headUrl = headUrl;
    }

    public String getHeadUrl()
    {
        return headUrl;
    }
    public void setBackgroundUrl(String backgroundUrl)
    {
        this.backgroundUrl = backgroundUrl;
    }

    public String getBackgroundUrl()
    {
        return backgroundUrl;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("memberUserId", getMemberUserId())
                .append("name", getName())
                .append("headUrl", getHeadUrl())
                .append("backgroundUrl", getBackgroundUrl())
                .append("status", getStatus())
                .append("type", getType())
                .append("sort", getSort())
                .append("createAt", getCreateAt())
                .append("updateAt", getUpdateAt())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
